Subject: Re: KASAN: slab-out-of-bounds Read in corrupted (2)

From: syzbot <[email-masked]>
Date: Thu, 06 Jun 2019 14:26:00 -0700

syzbot has bisected this bug to:

commit d40b0116c94bd8fc2b63aae35ce8e66bb53bba42
Author: Daniel Borkmann <[email-masked]>
Date:   Thu Aug 16 19:49:08 2018 +0000

     bpf, sockmap: fix leakage of smap_psock_map_entry

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1137e90ea00000
start commit:   156c0591 Merge tag 'linux-kselftest-5.2-rc4' of git://git...
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=1337e90ea00000
console output: https://syzkaller.appspot.com/x/log.txt?x=1537e90ea00000
kernel config:  https://syzkaller.appspot.com/x/.config?x=60564cb52ab29d5b
dashboard link: https://syzkaller.appspot.com/bug?extid=9a901acbc447313bfe3e
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11a4b01ea00000

Reported-by: [email-masked]
Fixes: d40b0116c94b ("bpf, sockmap: fix leakage of smap_psock_map_entry")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection